<template>
    <p>{{ date }}</p>
</template>

<script>



export default{

    name: 'GetPostedDate',
    props: {
        image: Object
    },

    data(){
        return{
            date: ''
        }
    }, 
    mounted(){


        // A VOIR SI CA MARCHE DEMAIN
        let dateImage = this.image.posted_at
        dateImage = Date.parse(dateImage)
        
    
        const diff = new Date() - dateImage;
        const total_seconds = Math.floor(diff / 1000);
        const total_minutes = Math.floor(total_seconds / 60);
        const total_hours = Math.floor(total_minutes / 60);
        const days = Math.floor(total_hours / 24);
        let FormatedDate

        if(diff < 3600000)
            if(total_minutes > 1) {
                FormatedDate = `il y a ${total_minutes} minutes`
            }
            else{
                FormatedDate = `il y a ${total_minutes} minute`
            }else if(diff < 86400000){
            if(total_hours > 1) {
                FormatedDate = `il y a ${total_hours} heures`
            }else{
                FormatedDate = `il y a ${total_hours} heure`
            }
        }else{
           if(days > 1){
            FormatedDate = `il y a ${days} jours`
           }
           else{
            FormatedDate = `il y a ${days} jour`
           }
        }
        
        this.date = FormatedDate


    }
}

</script>

<style scoped>

</style>